[Frage] Nach Verfügbarkeit von 10 klappt 9.5 (Intro-Package) Installation nicht mehr TYPO3-Version: 9.5.8

  • via-lars via-lars
    T3PO
    0 x
    14 Beiträge
    0 Hilfreiche Beiträge
    12. 08. 2019, 11:53

    Hallo,

    ich nutze https://github.com/dachande/typo3-bootstrap welches Typo 3 in einem Ubuntu Vagrant per Ansible Playbook aufsetzt.

    Die Typo3-System-selbst Befehle umfassen

    [code]- name: Prepare installation of TYPO3 core extensions[/code]
    [code]become: yes[/code]
    [code]become_user: "{{ t3bs.www_user }}"[/code]
    [code]composer:[/code]
    [code]command: require[/code]
    [code]working_dir: "{{ t3bs.document_root}}/{{ t3bs.project_folder}}"[/code]
    [code]arguments: --no-update -- typo3/cms-{{ item | regex_replace('_', '-') }} {{ t3bs.typo3_version }}[/code]
    [code]with_items: "{{ t3bs.typo3_extensions }}"[/code]
    [code]when: composer_lock_file.stat.exists == false[/code]
    [code][/code]
    [code]- name: Prepare installation of TYPO3 community packages[/code]
    [code]become: yes[/code]
    [code]become_user: "{{ t3bs.www_user }}"[/code]
    [code]composer:[/code]
    [code]command: require[/code]
    [code]working_dir: "{{ t3bs.document_root }}/{{ t3bs.project_folder }}"[/code]
    [code]arguments: --no-update -- {{ item.composer_package }} {{ item.constraint }}[/code]
    [code]with_items: "{{ t3bs.typo3_community_extensions }}"[/code]
    [code]when: composer_lock_file.stat.exists == false[/code]
    [code][/code]
    [code]- name: Install TYPO3 project (this may take a while)[/code]
    [code]become: yes[/code]
    [code]become_user: "{{ t3bs.www_user }}"[/code]
    [code]shell: "{{ t3bs.composer_bin_path }}/{{ t3bs.composer_bin }} install --prefer-dist"[/code]
    [code]args:[/code]
    [code]chdir: "{{ t3bs.document_root }}/{{ t3bs.project_folder }}"[/code]

    mit den Daten

    typo3_extensions:
    - about
    - belog
    - beuser
    - filelist
    - filemetadata
    - info
    - recordlist
    - recycler
    - redirects
    - rsaauth
    - rte_ckeditor
    - seo
    - setup
    - t3editor
    - tstemplate
    - viewpage

    typo3_community_extensions:
    - {composer_package: typo3/cms-introduction, extension_key: introduction, constraint: ~}

    und zu "guter letzt":

    [code]/usr/local/bin/composer install --prefer-dist[/code]

    Dies erzeugt

    Problem 1
    - typo3/cms-viewpage v9.5.0 requires typo3/cms-core 9.5.0 -> satisfiable by typo3/cms-core[v9.5.0].
    - typo3/cms-viewpage v9.5.1 requires typo3/cms-core 9.5.1 -> satisfiable by typo3/cms-core[v9.5.1].
    - typo3/cms-viewpage v9.5.2 requires typo3/cms-core 9.5.2 -> satisfiable by typo3/cms-core[v9.5.2].
    - typo3/cms-viewpage v9.5.3 requires typo3/cms-core 9.5.3 -> satisfiable by typo3/cms-core[v9.5.3].
    - typo3/cms-viewpage v9.5.4 requires typo3/cms-core 9.5.4 -> satisfiable by typo3/cms-core[v9.5.4].
    - typo3/cms-viewpage v9.5.5 requires typo3/cms-core 9.5.5 -> satisfiable by typo3/cms-core[v9.5.5].
    - typo3/cms-viewpage v9.5.6 requires typo3/cms-core 9.5.6 -> satisfiable by typo3/cms-core[v9.5.6].
    - typo3/cms-viewpage v9.5.7 requires typo3/cms-core 9.5.7 -> satisfiable by typo3/cms-core[v9.5.7].
    - typo3/cms-viewpage v9.5.8 requires typo3/cms-core 9.5.8 -> satisfiable by typo3/cms-core[v9.5.8].
    - Can only install one of: typo3/cms-core[v9.5.0, v10.0.0].
    - Can only install one of: typo3/cms-core[v9.5.1, v10.0.0].
    - Can only install one of: typo3/cms-core[v9.5.2, v10.0.0].
    - Can only install one of: typo3/cms-core[v9.5.3, v10.0.0].
    - Can only install one of: typo3/cms-core[v9.5.4, v10.0.0].
    - Can only install one of: typo3/cms-core[v9.5.5, v10.0.0].
    - Can only install one of: typo3/cms-core[v9.5.6, v10.0.0].
    - Can only install one of: typo3/cms-core[v9.5.7, v10.0.0].
    - Can only install one of: typo3/cms-core[v9.5.8, v10.0.0].
    - typo3/cms-introduction 4.1.0 requires typo3/cms-core ^10.0 -> satisfiable by typo3/cms-core[v10.0.0].
    - Installation request for typo3/cms-introduction ^4.1 -> satisfiable by typo3/cms-introduction[4.1.0].
    - Installation request for typo3/cms-viewpage ^9.5 -> satisfiable by typo3/cms-viewpage[v9.5.0, v9.5.1, v9.5.2, v9.5.3, v9.5.4, v9.5.5, v9.5.6, v9.5.7, v9.5.8].

    Was kann ich tun?

    So wie ich das verstehe, tippe ich auf das cms-introduction Package, das jetzt Typo3 10 will, aber wir installieren hier ein 9.5.

    Ist das richtig?

    Wenn Ja, kann jenes noch für 9.5 erhalten werden? Wie?

    Gruß


  • 1
  • via-lars via-lars
    T3PO
    0 x
    14 Beiträge
    0 Hilfreiche Beiträge
    12. 08. 2019, 18:42

    Hi, wahrscheinlich muss ich das constraint des intro packages auf 4.0.1 ändern. Ich melde mich vrstl. morgen wieder dazu.

  • via-lars via-lars
    T3PO
    0 x
    14 Beiträge
    0 Hilfreiche Beiträge
    13. 08. 2019, 13:22

    Ja, ~ zu 4.0.1 in den Daten löst das Problem. Oder allgemein wohl, wenn Composer manuell genutzt wird, die Angabe des Constraints als 4.0.1 (https://getcomposer.org/doc/articles/versions.md#writing-version-constraints).

    Die Versionen des intro packages unter Version History, für andere Typo3 Versionen: https://extensions.typo3.org/extension/introduction/

  • 1